OpenTTD Source: FallbackParagraphLayout::FallbackVisualRun Class Reference

OpenTTD Source 15.0-beta1

Public Member Functions | Private Attributes
FallbackParagraphLayout::FallbackVisualRun Class Reference

Visual run contains data about the bit of text with the same font. More...

Inheritance diagram for FallbackParagraphLayout::FallbackVisualRun:

## Public Member Functions
| FallbackVisualRun (Font *font, const char32_t *chars, int glyph_count, int char_offset, int x)
| Create the visual run.
const Font * | GetFont () const override
int | GetGlyphCount () const override
std::span< const GlyphID > | GetGlyphs () const override
std::span< const Position > | GetPositions () const override
int | GetLeading () const override
std::span< const int > | GetGlyphToCharMap () const override

## Private Attributes
std::vector< GlyphID > | glyphs
| The glyphs we're drawing.
std::vector< Position > | positions
| The positions of the glyphs.
std::vector< int > | glyph_to_char
| The char index of the glyphs.
Font * | font
| The font used to layout these.

## Detailed Description

Visual run contains data about the bit of text with the same font.

Definition at line 41 of file gfx_layout_fallback.cpp.

## Constructor & Destructor Documentation

## ◆ FallbackVisualRun()

FallbackParagraphLayout::FallbackVisualRun::FallbackVisualRun | ( | Font * | font,
|  | const char32_t * | chars,
|  | int | char_count,
|  | int | char_offset,
|  | int | x
| ) |  |

Create the visual run.

Parameters

  font | The font to use for this run.
  chars | The characters to use for this run.
  char_count | The number of characters in this run.
  char_offset | This run's offset from the start of the layout input string.
  x | The initial x position for this run.

Definition at line 112 of file gfx_layout_fallback.cpp.

References Font::fc, font, FontCache::GetAscender(), FontCache::GetGlyphWidth(), FontCache::GetHeight(), FontCache::GetSize(), FontCache::IsBuiltInFont(), FontCache::MapCharToGlyph(), and ScaleSpriteTrad().

## Member Function Documentation

## ◆ GetFont()

const Font * FallbackParagraphLayout::FallbackVisualRun::GetFont | ( |  | ) | const
| inlineoverridevirtual

Implements ParagraphLayouter::VisualRun.

Definition at line 50 of file gfx_layout_fallback.cpp.

## ◆ GetGlyphCount()

int FallbackParagraphLayout::FallbackVisualRun::GetGlyphCount | ( |  | ) | const
| inlineoverridevirtual

Implements ParagraphLayouter::VisualRun.

Definition at line 51 of file gfx_layout_fallback.cpp.

## ◆ GetGlyphs()

std::span< const GlyphID > FallbackParagraphLayout::FallbackVisualRun::GetGlyphs | ( |  | ) | const
| inlineoverridevirtual

Implements ParagraphLayouter::VisualRun.

Definition at line 52 of file gfx_layout_fallback.cpp.

## ◆ GetGlyphToCharMap()

std::span< const int > FallbackParagraphLayout::FallbackVisualRun::GetGlyphToCharMap | ( |  | ) | const
| inlineoverridevirtual

Implements ParagraphLayouter::VisualRun.

Definition at line 55 of file gfx_layout_fallback.cpp.

## ◆ GetLeading()

int FallbackParagraphLayout::FallbackVisualRun::GetLeading | ( |  | ) | const
| inlineoverridevirtual

Implements ParagraphLayouter::VisualRun.

Definition at line 54 of file gfx_layout_fallback.cpp.

## ◆ GetPositions()

std::span< const Position > FallbackParagraphLayout::FallbackVisualRun::GetPositions | ( |  | ) | const
| inlineoverridevirtual

Implements ParagraphLayouter::VisualRun.

Definition at line 53 of file gfx_layout_fallback.cpp.

## Field Documentation

## ◆ font

Font* FallbackParagraphLayout::FallbackVisualRun::font
| private

The font used to layout these.

Definition at line 46 of file gfx_layout_fallback.cpp.

Referenced by FallbackVisualRun().

## ◆ glyph_to_char

std::vector<int> FallbackParagraphLayout::FallbackVisualRun::glyph_to_char
| private

The char index of the glyphs.

Definition at line 44 of file gfx_layout_fallback.cpp.

## ◆ glyphs

std::vector<GlyphID> FallbackParagraphLayout::FallbackVisualRun::glyphs
| private

The glyphs we're drawing.

Definition at line 42 of file gfx_layout_fallback.cpp.

## ◆ positions

std::vector<Position> FallbackParagraphLayout::FallbackVisualRun::positions
| private

The positions of the glyphs.

Definition at line 43 of file gfx_layout_fallback.cpp.

The documentation for this class was generated from the following file:

- src/gfx_layout_fallback.cpp